Name:          hostapd
Version:       2.9
Release:       2mamba
Summary:       A user space daemon for access point and authentication servers
Group:         Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://w1.fi/hostapd/
Source:        https://w1.fi/releases/hostapd-%{version}.tar.gz
Source1:       hostapd-config
Source2:       hostapd.service
# Patches from https://w1.fi/security/
Patch0:        hostapd-2.6-hostapd-Avoid-key-reinstallation-in-FT-handshake.patch.patch
Patch1:        hostapd-2.9-WPS-UPnP-Do-not-allow-event-subscriptions-with-URLs.patch
Patch2:        hostapd-2.9-WPS-UPnP-Fix-event-message-generation-using-a-long-U.patch
Patch3:        hostapd-2.9-WPS-UPnP-Handle-HTTP-initiation-failures-for-events.patch
Patch4:        hostapd-2.9-P2P-Fix-copying-of-secondary-device-types-for-P2P-gr.patch
Patch5:        hostapd-2.9-P2P-Fix-a-corner-case-in-peer-addition-based-on-PD-R.patch
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libopenssl-devel
## AUTOBUILDREQ-END

%description
hostapd is a user space daemon for access point and authentication servers. It implements IEEE 802.11 access point management, IEEE 802.1X/WPA/WPA2/EAP Authenticators, RADIUS client, EAP server, and RADIUS authentication server. The current version supports Linux (Host AP, madwifi, mac80211-based drivers) and FreeBSD (net80211).
hostapd is designed to be a "daemon" program that runs in the background and acts as the backend component controlling authentication. hostapd supports separate frontend programs and an example text-based frontend, hostapd_cli, is included with hostapd.

%debug_package

%prep
%setup -q
#%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

install %{SOURCE1} hostapd/.config

%build
%make -C hostapd

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

install -D -m0755 hostapd/hostapd %{buildroot}%{_bindir}/hostapd
install -D -m0755 hostapd/hostapd_cli %{buildroot}%{_bindir}/hostapd_cli
install -D -m0644 hostapd/hostapd.conf %{buildroot}%{_sysconfdir}/hostapd.conf
install -D -m0644 hostapd/wired.conf %{buildroot}%{_sysconfdir}/hostapd-wired.conf

%makeinstall -C src

# install service
install -D -m0644 %{SOURCE2} %{buildroot}%{_unitdir}/hostapd.service

# install man pages
install -D -m0644 hostapd/hostapd.8 %{buildroot}%{_mandir}/man8/hostapd.8
install -D -m0644 hostapd/hostapd_cli.1 %{buildroot}%{_mandir}/man1/hostapd_cli.1

# create state dir
install -d -m0750 %{buildroot}/var/lib/hostapd


%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%systemd_post hostapd
:

%preun
%systemd_preun hostapd
:

%postun
%systemd_postun_with_restart hostapd
:

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/hostapd.conf
%config(noreplace) %{_sysconfdir}/hostapd-wired.conf
%{_bindir}/hostapd
%{_bindir}/hostapd_cli
%{_unitdir}/hostapd.service
%{_mandir}/man1/hostapd_cli.1*
%{_mandir}/man8/hostapd.8*
%dir /var/lib/hostapd
%doc COPYING

%changelog
* Wed Mar 03 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9-2mamba
- provide systemd service, fix configuration, add upstream security patches

* Fri Aug 09 2019 Automatic Build System <autodist@mambasoft.it> 2.9-1mamba
- automatic version update by autodist

* Thu Apr 25 2019 Automatic Build System <autodist@mambasoft.it> 2.8-1mamba
- automatic version update by autodist

* Sat Dec 08 2018 Automatic Build System <autodist@mambasoft.it> 2.7-1mamba
- automatic version update by autodist

* Mon Oct 16 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6-2mamba
- patched against 'krack' vulnerability

* Tue Oct 04 2016 Automatic Build System <autodist@mambasoft.it> 2.6-1mamba
- automatic version update by autodist

* Thu Oct 01 2015 Automatic Build System <autodist@mambasoft.it> 2.5-1mamba
- automatic version update by autodist

* Mon Mar 16 2015 Automatic Build System <autodist@mambasoft.it> 2.4-1mamba
- automatic version update by autodist

* Tue Oct 14 2014 Automatic Build System <autodist@mambasoft.it> 2.3-1mamba
- automatic version update by autodist

* Fri Jun 06 2014 Automatic Build System <autodist@mambasoft.it> 2.2-1mamba
- automatic version update by autodist

* Sun Mar 02 2014 Automatic Build System <autodist@mambasoft.it> 2.1-1mamba
- automatic version update by autodist

* Tue Aug 13 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0-1mamba
- package created by silvan using the webbuild interface
